# Configuration file

##########################################################################################################
# clock
#--------------------------------------------------------------------------------------------------------#
# Clock shows you time relevant to Minecraft time.
##########################################################################################################

clock {
    # Sets the Clock mode.
    S:ClockMode=STANDARD

    # Enable/Disable showing the Clock.
    B:EnableClock=true
}


##########################################################################################################
# compass
#--------------------------------------------------------------------------------------------------------#
# Compass displays a text compass.
##########################################################################################################

compass {
    # Enable/Disable showing the compass.
    B:EnableCompass=true
}


##########################################################################################################
# coordinates
#--------------------------------------------------------------------------------------------------------#
# Coordinates displays your coordinates. Nuff said.
##########################################################################################################

coordinates {
    # The format used when sending your coordiantes in a chat message by pressing 'NONE'. {x}{y}{z} are replaced with actual coordiantes.
    S:CoordinatesChatStringFormat=[{x}, {y}, {z}]

    # Sets the Coordinates mode.
    S:CoordinatesMode=XZY

    # Enable/Disable showing your coordinates.
    B:EnableCoordinates=true

    # Color code the Y (height) coordinate based on what ores can spawn at that level.
    B:UseYCoordinateColors=true
}


##########################################################################################################
# distancemeasurer
#--------------------------------------------------------------------------------------------------------#
# Distance Measurer can calculate distances between you and blocks that you aim at.
##########################################################################################################

distancemeasurer {
    # Sets the Distance Measurer mode.
    S:DistanceMeasurerMode=OFF

    # Enable/Disable the distance measurer.
    B:EnableDistanceMeasurer=false
}


##########################################################################################################
# durabilityinfo
#--------------------------------------------------------------------------------------------------------#
# Durability Info will display your breaking armor and equipment.
##########################################################################################################

durabilityinfo {
    # Enable/Disable automatically unequipping armor before it breaks.
    B:AutoUnequipArmor=false

    # Enable/Disable automatically unequipping tools before they breaks.
    B:AutoUnequipTools=false

    # Display when armor gets damaged less than this fraction of its durability.
    D:DurabilityDisplayThresholdForArmor=0.5

    # Display when an item gets damaged less than this fraction of its durability.
    D:DurabilityDisplayThresholdForItem=0.5

    # The horizontal position of the durability icons. 0 is left, 400 is far right.
    I:DurabilityLocationHorizontal=5

    # The vertical position of the durability icons. 0 is top, 200 is very bottom.
    I:DurabilityLocationVertical=185

    # How large the durability icons are rendered, 1.0 being the normal size.
    D:DurabilityScale=1.0

    # Enable/Disable showing all durability info.
    B:EnableDurabilityInfo=true

    # Enable/Disable showing breaking armor.
    B:ShowArmorDurability=true

    # Toggle showing damaged items as a percentage or their remaining durability.
    B:ShowDamageAsPercentage=false

    # Enable/Disable showing armor peices instead of the big broken armor icon.
    B:ShowIndividualArmorIcons=true

    # Enable/Disable showing breaking items.
    B:ShowItemDurability=true

    # Toggle using colored numbering.
    B:UseColoredNumbers=false
}


##########################################################################################################
# eatingaid
#--------------------------------------------------------------------------------------------------------#
# Eating Aid makes eating food quick and easy.
##########################################################################################################

eatingaid {
    # Enable/Disable using golden apples and golden carrots as food.
    B:EatGoldenFood=false

    # Enable/Disable eating raw chicken, beef, and porkchops.
    B:EatRawFood=false

    # Sets the Eating Aid mode.
    S:EatingAidMode=INTELLIGENT

    # Enables pressing NONE to eat food even if it is  in your inventory and not your hotbar.
    B:EnableEatingAid=true

    # Use food that is in your hotbar before looking for food in your main inventory.
    B:PrioritizeFoodInHotbar=false

    # If you are connected to a Bukkit server that uses PvP Soup or Fast Soup (mushroom stew) with this enabled, Eating Aid will use it instead of other foods.
    B:UsePvPSoup=false
}


##########################################################################################################
# enderpearlaid
#--------------------------------------------------------------------------------------------------------#
# Ender Pearl Aid makes it easier to quickly throw ender pearls.
##########################################################################################################

enderpearlaid {
    # Enables pressing NONE to use an enderpearl even if it is  in your inventory and not your hotbar.
    B:EnableEnderPearlAid=true
}


##########################################################################################################
# fps
#--------------------------------------------------------------------------------------------------------#
# FPS shows your frames per second without having to go into the F3 menu.
##########################################################################################################

fps {
    # Enable/Disable showing your FPS at the end of the Info Line.
    B:EnableFPS=false
}


##########################################################################################################
# healthmonitor
#--------------------------------------------------------------------------------------------------------#
# Plays warning beeps when you are low on health.
##########################################################################################################

healthmonitor {
    # Enable/Disable using the Health Monitor.
    B:EnableHealthMonitor=false

    # Sets the Health Monitor mode.
    S:HealthMonitorMode=OOT

    # A sound will start playingwhen you have less than this much health left.
    I:LowHealthSoundThreshold=6

    # Play the warning sounds quicker the closer you get to dieing.
    B:PlayFasterNearDeath=false
}


##########################################################################################################
# horseinfo
#--------------------------------------------------------------------------------------------------------#
# Animal Info gives you information about horse stats, such as speed and jump height.
##########################################################################################################

horseinfo {
    # How far away animal info will be rendered on the screen (distance measured in blocks).
    I:AnimalInfoMaxViewDistance=8

    # Sets the Animal Info mode.
    S:AnimalInfoMode=OFF

    # Enable/Disable Animal Info.
    B:EnableAnimalInfo=false

    # How many decimal places will be used when displaying horse stats.
    I:HorseInfoNumberOfDecimalsDisplayed=1

    # Enable/Disable showing an icon if the animal is ready to breed.
    B:ShowBreedingIcons=true

    # Enable/Disable showing a timer that tells you how long until a chicken can breed again.
    B:ShowBreedingTimerForChickens=true

    # Enable/Disable showing a timer that tells you how long until a cow can breed again.
    B:ShowBreedingTimerForCows=true

    # Enable/Disable showing a timer that tells you how long until a horse can breed again.
    B:ShowBreedingTimerForHorses=true

    # Enable/Disable showing a timer that tells you how long until an ocelot can breed again.
    B:ShowBreedingTimerForOcelots=true

    # Enable/Disable showing a timer that tells you how long until a pig can breed again.
    B:ShowBreedingTimerForPigs=true

    # Enable/Disable showing a timer that tells you how long until a sheep can breed again.
    B:ShowBreedingTimerForSheep=true

    # Enable/Disable showing a timer that tells you how long until a villager can breed again.
    B:ShowBreedingTimerForVillagers=true

    # Enable/Disable showing a timer that tells you how long until a wolf can breed again.
    B:ShowBreedingTimerForWolves=true

    # Enable/Disable showing a timer counting down to when the animal is ready to breed again.
    B:ShowBreedingTimers=true

    # Enable/Disable showing the stats of the horse you're riding on the F3 screen.
    B:ShowHorseStatsOnF3Menu=true

    # Enable/Disable showing the stats of horses on screen.
    B:ShowHorseStatsOverlay=true

    # Enable/Disable showing a black background behind text.
    B:ShowTextBackgrounds=true
}


##########################################################################################################
# infoline
#--------------------------------------------------------------------------------------------------------#
# Info Line displays the status of other features in the top left corner of the screen.
##########################################################################################################

infoline {
    # Enable/Disable the entire info line in the top left part of the screen. This includes the clock, coordinates, compass, mod status, etc.
    B:EnableInfoLine=true

    # The horizontal position of the info line. 1 is left, 400 is far right.
    I:InfoLineLocationHorizontal=1

    # The vertical position of the info line. 1 is top, 200 is very bottom.
    I:InfoLineLocationVertical=1

    # Enable/Disable showing what biome you are in on the info line.
    B:ShowBiome=true

    # Enable/Disable showing if it can snow at the player's feet on the info line.
    B:ShowCanSnow=false
}


##########################################################################################################
# itemselector
#--------------------------------------------------------------------------------------------------------#
# Item Selector allows you to conveniently swap your currently selected hotbar item with something in your inventory.
##########################################################################################################

itemselector {
    # Enables/Disable using mouse wheel scrolling whilst holding NONE to swap the selected item with an inventory item.
    B:EnableItemSelector=true

    # Sets the Item Selector mode.
    S:ItemSelectorMode=ALL

    # Enable/disable use of side buttons for item selection.
    B:ItemSelectorSideButtons=false

    # Specifies how many ticks until the item selector confirms your choice and performs the item swap.
    I:ItemSelectorTimeout=200
}


##########################################################################################################
# miscellaneous
#--------------------------------------------------------------------------------------------------------#
# Other settings not related to any specific functionality.
##########################################################################################################

miscellaneous {
    # Enable/Disable improving the middle click functionality to work with blocks in your inventory.
    B:UseEnhancedMiddleClick=true

    # Enable/Disable being able to place a sign with no text by sneaking while placing a sign.
    B:UseQuickPlaceSign=false

    # Enable/Disable overriding the default sprint behavior and run forever.
    B:UseUnlimitedSprinting=false
}


##########################################################################################################
# playerlocator
#--------------------------------------------------------------------------------------------------------#
# Player Locator gives you a radar-like ability to easily see where other people are.
##########################################################################################################

playerlocator {
    # Enable/Disable the Player Locator.
    B:EnablePlayerLocator=false

    # Stop showing player names when they are this close (distance measured in blocks).
    I:PlayerLocatorMinViewDistance=0

    # Sets the Player Locator mode.
    S:PlayerLocatorMode=OFF

    # Show how far away you are from the other players next to their name.
    B:ShowDistanceToPlayers=false

    # Show how much health players have by their name.
    B:ShowPlayerHealth=false

    # Show wither skeletons in addition to other players.
    B:ShowWitherSkeletons=false

    # Show your tamed wolves in addition to other players.
    B:ShowWolves=true

    # Use the color of your wolf's collar to colorize their name.
    B:UseWolfColors=true
}


##########################################################################################################
# potionaid
#--------------------------------------------------------------------------------------------------------#
# Potion Aid helps you quickly drink potions based on your circumstance.
##########################################################################################################

potionaid {
    # Enables pressing NONE to drink a potion even if it is  in your inventory and not your hotbar.
    B:EnablePotionAid=true
}


##########################################################################################################
# potiontimers
#--------------------------------------------------------------------------------------------------------#
# Potion Timers shows the duration remaining on potions that you drink.
##########################################################################################################

potiontimers {
    # Enable/Disable showing the time remaining on potions.
    B:EnablePotionTimers=true

    # Enable/Disable hiding the default potion effects when you open your inventory.
    B:HidePotionEffectsInInventory=false

    # How large the potion timers are rendered, 1.0 being the normal size.
    D:PotionScale=1.0

    # The horizontal position of the potion timers. 0 is left, 400 is far right.
    I:PotionTimersLocationHorizontal=1

    # The vertical position of the potion timers. 0 is top, 200 is very bottom.
    I:PotionTimersLocationVertical=16

    # Enable/Disable showing the status effect of potions next to the timers.
    B:ShowPotionIcons=true

    # Enable/Disable using the potion type to determine the text color.
    B:UsePotionColors=true
}


##########################################################################################################
# quickdeposit
#--------------------------------------------------------------------------------------------------------#
# Quick Stack allows you to inteligently deposit every item in your inventory quickly into a chest.
##########################################################################################################

quickdeposit {
    # Stop Quick Deposit from putting arrows in chests?
    B:BlacklistArrow=false

    # Stop Quick Deposit from putting ender pearls in chests?
    B:BlacklistEnderPearl=false

    # Stop Quick Deposit from putting food in chests?
    B:BlacklistFood=false

    # Stop Quick Deposit from putting torches in chests?
    B:BlacklistTorch=false

    # Stop Quick Deposit from putting water buckets in chests?
    B:BlacklistWaterBucket=false

    # Stop Quick Deposit from putting swords and bows in chests?
    B:BlacklistWeapons=false

    # Closes the chest GUI after you deposit your items in it. Allows quick and easy depositing of all your items into multiple chests.
    B:CloseChestAfterDepositing=false

    # Enables Quick Deposit.
    B:EnableQuickDeposit=true

    # Determines if items in your hotbar will be deposited into chests when 'NONE' is pressed.
    B:IgnoreItemsInHotbar=false
}


##########################################################################################################
# safeoverlay
#--------------------------------------------------------------------------------------------------------#
# Safe Overlay shows you which blocks are dark enough to spawn mobs.
##########################################################################################################

safeoverlay {
    # Enable/Disable the Safe Overlay.
    B:EnableSafeOverlay=false

    # Enable/Disable showing unsafe areas in the Nether.
    B:SafeOverlayDisplayInNether=false

    # How far away unsafe spots should be rendered around the player measured in blocks. This can be changed in game with - + NONE and + + NONE.
    I:SafeOverlayDrawDistance=20

    # Sets the Safe Overlay mode.
    S:SafeOverlayMode=OFF

    # Enable/Disable showing unsafe areas through walls. Toggle in game with Ctrl + NONE.
    B:SafeOverlaySeeThroughWalls=false

    # The transparency of the unsafe marks. Must be between greater than 0.1 and less than or equal to 1.
    D:SafeOverlayTransparency=0.30000001192092896
}


##########################################################################################################
# torchaid
#--------------------------------------------------------------------------------------------------------#
# Torch Aid lets you right click while holding an axe, pickaxe, shovel, or when you have nothing in your hand to place a torch.
##########################################################################################################

torchaid {
    # Enable/Disable using Torch Aid to help you place torches more easily.
    B:EnableTorchAid=true
}


##########################################################################################################
# weaponswap
#--------------------------------------------------------------------------------------------------------#
# Weapon Swap allows you to quickly select your sword and bow.
##########################################################################################################

weaponswap {
    # Enables pressing NONE to swap between your sword and bow.
    B:EnableWeaponSwap=true

    # Set to false to scan the hotbar for swords and bows from right to left. Only matters if you have multiple swords/bows in your hotbar.
    B:ScanHotbarForWeaponsFromLeftToRight=true
}


